Subject: Re: [lojban] Re: Fwd: Lojban dictionary in TEI

From: Allan Bailey <[email-masked]>
Date: Thu, 02 May 2002 10:11:58 -0700

So how about we import the gismu, cmavo, etc. into a DB with an interface for editing?
Then we could use something like XML-RPC to serve as a remote interface.

The only problem is the DB structure. The structure that I imagine is:

word: [gismu/cmavo/fu'vla/...]
gloss:
place_structure:
synonyms_related_words:

That structure should be quite easy to import data to. I could create
an example of this on a zope server if there is enough interest.

Also, the "dump" of the database could be in the XML TEI format for backup and
import elsewhere.

-allan

Jay Kominek <[email-masked]> wrote:
>
>On Thu, 2 May 2002, Nick Nicholas wrote:
>
>> What I don't know is whether that might not overlap with what Jay had
>> already gotten started with his own work on the dictionary. We'd
>> obviously want the one to talk to the other. doi djez. pe'ipei
>
>XML TEI would make a nice export target for whatever system I finally end
>up producing.
>
>However, XML is just a very structured flat file. You're limited in the
>number of people who can work on it convinently.
>
>As has been demonstrated, one person will not complete a dictionary in a
>useful amount of time.
>
>So, um, really, what I mean to say is that there isn't any overlap.
>Single person efforts have a poor track record, but collaborative efforts
>(Alice, the Wiki), produce nice results, quickly. Further, having a big
>XML file solve any problems I've so far identified. (The main two being
>that: 1) We need a quality typeset printed dictionary 2) We need a really
>nice, canonical searchable online dictionary.)
>
>This is not meant to in any way say that TEI isn't good stuff, I just
>don't see how it solves any of our real problems.
>
>- Jay Kominek <[email-masked]>
> Plus =C3=A7a change, plus c'est la m=C3=AAme chose
>
>
>
>
>To unsubscribe, send mail to [email-masked]=20
>
>Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/=20
>
>
--
.allan.